1. Firm Users
  2. Create a firm user
POST
/v1/firms/{firmId}/firm-users
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/firm-users \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "externalId": "string",
  "role": "Admin",
  "optionalPermissions": [
    "All"
  ],
  "user": {
    "emailAddress": "string",
    "name": "string",
    "lastName": "string",
    "phoneNumber": "string"
  }
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
externalId
string

Optional external identifier provided by the client.

role
required
string

The role of the user in the firm.

optionalPermissions
array

Optional additional permissions granted to the user.

user
required
object

User information.

​
Response

application/json
  • 201

  • 400

  • 401

  • 403

  • 404

  • 409

Created

id
string

The unique identifier of the resource.

externalId
string

The external identifier provided by the client.